

.topbar {
    left: 0;
    position: fixed;
    right: 0;
    top: 0;
    z-index: 999;
  }
  .topbar .topbar-left {
    background: #36404e;
    float: left;
    text-align: center;
    height: 70px;
    position: relative;
    width: 225px;
    z-index: 1;
  }
  .navbar-default {
    background-color: #fff;
    border-radius: 0;
    border: none;
    margin-bottom: 0;
    padding: 0 20px;
    border-bottom: 1px solid #cdcdcd;
    /* box-shadow: 0 0 24px 0 rgb(0 0 0 / 6%), 0 1px 0 0 rgb(0 0 0 / 2%); */
  }
  .navbar-default .navbar-left li a.menu-item {
    padding: 0 15px;
    line-height: 68px;
  }
  ul.navbar-nav.navbar-left{
    display: flex;align-items: center;margin-right: auto;
    height: 50px;
  }
  ul.navbar-nav.navbar-left button{
    padding:0 !important;
  }
  .logo {
    color: #ddd !important;
    font-size: 24px;
    text-transform: uppercase;
    font-family: 'Hind Madurai', sans-serif;
    font-weight: 600;
    letter-spacing: 1px;
    line-height: 70px;
  }
  .logo i {
    display: none;
  }
  .logo span span {
    color: #7fc1fc;
  }
  .logo img{
    width: 140px !important;
  }
  
  .user-box .user-img {
    position: relative;
    height: 32px;
    width: 32px;
    margin: 0px auto;
  }
  .navbar-default .right-menu-item {
    height: 36px;
    width: 36px;
    padding: 0;
    font-size: 18px;
    border: 2px solid #bfcad3 !important;
    line-height: 35px;
    text-align: center;
    border-radius: 50%;
    margin: 17px 5px;
  }
  .navbar-default .right-menu-item .badge {
    position: absolute;
    top: -8px;
    right: 0px;
  }
  /* Notification */
  .notify-list h5 {
    margin: 0 0 5px 0;
    padding: 10px;
    background-color: #f3f3f3;
    text-align: center;
  }
  .notify-list .all-msgs a {
    color: #bfcad3;
    padding: 6px 10px;
    display: block;
  }
  .side-menu {
    width: 225px;
    padding-top: 10px;
    z-index: 10;
    background: #fff;
    bottom: 50px;
    margin-top: 0;
    padding-bottom: 70px;
    position: fixed;
    top: 0;
    box-shadow: 0 0 24px 0 rgba(0, 0, 0, 0.06), 0 1px 0 0 rgba(0, 0, 0, 0.02);
  }
  .side-menu .waves-effect .waves-ripple {
    background-color: rgba(127, 193, 252, 0.4);
  }
  .side-menu.left {
    position: absolute;
    top: 60px;
    bottom: 0;
  }
  body.fixed-left .side-menu.left {
    bottom: 50px;
    margin-bottom: -70px;
    padding-bottom: 70px;
    position: fixed;
    top: 40px
  }
  .content-page {
    margin-left: 225px;
    overflow: hidden;
  }
  .content-page .content {
    padding: 0 5px 10px 5px;
    margin-top: 50px;
  }
  .button-menu-mobile {
    background: transparent;
    border: none;
    color: #337ab7 !important;
    padding: 0 20px;
    display: inline-block;
  }
  .button-menu-mobile i {
    font-size: 24px;
    line-height: 32px;
  }
  .button-menu-mobile:hover {
    color: #7fc1fc;
  }
  .sidebar-inner {
    height: 100%;
  }
  #sidebar-menu,
  #sidebar-menu ul,
  #sidebar-menu li,
  #sidebar-menu a {
    border: 0;
    font-weight: normal;
    line-height: 1;
    list-style: none;
    margin: 0;
    padding: 0;
    position: relative;
    text-decoration: none;
  }
  #sidebar-menu {
    padding-bottom: 30px;
    width: 100%;
    height: 100vh;
  }
  #sidebar-menu a {
    line-height: 1.3;
  }
  #sidebar-menu ul li .menu-arrow {
    -webkit-transition: -webkit-transform 0.15s;
    -o-transition: -o-transform 0.15s;
    transition: transform .15s;
    position: absolute;
    right: 20px;
    display: inline-block;
    font-family: 'Material Design Icons';
    text-rendering: auto;
    line-height: 18px;
    font-size: 16px;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    -webkit-transform: translate(0, 0);
    -ms-transform: translate(0, 0);
    -o-transform: translate(0, 0);
    transform: translate(0, 0);
  }
  #sidebar-menu ul li .menu-arrow:before {
    content: "\F142";
  }
  #sidebar-menu ul li a.subdrop .menu-arrow {
    -ms-transform: rotate(90deg);
    -webkit-transform: rotate(90deg);
    -o-transform: rotate(90deg);
    transform: rotate(90deg);
  }
  #sidebar-menu ul ul {
    display: none;
  }
  #sidebar-menu ul ul li {
    border-top: 0;
  }
  #sidebar-menu ul ul li.active a {
    color: #7fc1fc;
  }
  #sidebar-menu ul ul a {
    color: #337ab7;
    -webkit-transition: all 0.3s ease-out;
    -moz-transition: all 0.3s ease-out;
    -o-transition: all 0.3s ease-out;
    -ms-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;
    border-left: 3px solid transparent;
    display: block;
    padding: 10px 20px 10px 59px;
    font-size: 13px;
  }
  #sidebar-menu ul ul a:hover {
    color: #337ab7 !important;
    background-color: #ecf3f9;
    border-radius: 25px;
  }
  #sidebar-menu ul ul a i {
    margin-right: 5px;
  }
  #sidebar-menu ul ul ul a {
    padding-left: 80px;
  }
  #sidebar-menu .label {
    margin-top: 2px;
  }
  #sidebar-menu .subdrop {
    color: #337ab7 !important;
    background-color: #ecf3f9;
    border-radius: 25px;
  }
  #sidebar-menu > ul > li > a {
    color: #337ab7;
    display: block;
    padding: 10px 20px;
    margin: 2px 0;
  }
  #sidebar-menu > ul > li > a:hover {
    color: #337ab7 !important;
    text-decoration: none;
    background-color: #ecf3f9;
    border-radius: 25px;
  }
  #sidebar-menu > ul > li > a > span {
    vertical-align: middle;
  }
  #sidebar-menu ul li a i {
    display: inline-block;
    font-size: 18px;
    line-height: 17px;
    margin-left: 3px;
    margin-right: 15px;
    text-align: center;
    vertical-align: middle;
    width: 20px;
  }
  #sidebar-menu ul li a .drop-arrow {
    float: right;
  }
  #sidebar-menu ul li a .drop-arrow i {
    margin-right: 0px;
  }
  #sidebar-menu > ul > li > a.active {
    color: #337ab7 !important;
    background-color: #ecf3f9;
    border-radius: 25px;
  }
  .menu-title {
    padding: 12px 20px !important;
    letter-spacing: .05em;
    pointer-events: none;
    cursor: default;
    font-size: 11px;
    text-transform: uppercase;
    color: #337ab7;
    font-family: 'Hind Madurai', sans-serif;
  }
  /* Help Box */
  .help-box {
      background-color:#36404e;
    padding: 3px;
    margin: 15px;
    border: 2px solid rgba(255, 255, 255, 0.2);
    border-radius: 5px;
    font-size: 12px;
    z-index: 99;
  }
  .slimScrollBar{
    width: 6px !important;
    background-color: #337ab7 !important;
    z-index: 999 !important;
    
  }
  #wrapper.enlarged .menu-title,
  #wrapper.enlarged .menu-arrow,
  #wrapper.enlarged .help-box {
    display: none !important;
  }
  #wrapper.enlarged #sidebar-menu ul ul {
    margin-top: -2px;
    padding-bottom: 5px;
    padding-top: 5px;
    z-index: 9999;
    background-color: #36404e;
  }
  #wrapper.enlarged .left.side-menu {
    width: 70px;
    z-index: 5;
  }
  #wrapper.enlarged .left.side-menu #sidebar-menu > ul > li > a {
    padding: 10px 20px;
  }
  #wrapper.enlarged .left.side-menu #sidebar-menu > ul > li > a:hover {
    color: #337ab7 !important;
    background-color: #ecf3f9;
  }
  #wrapper.enlarged .left.side-menu #sidebar-menu > ul > li > a:active {
    color: #337ab7 !important;
    background-color: #ecf3f9;
  }
  #wrapper.enlarged .left.side-menu #sidebar-menu > ul > li > a:focus {
    color: #337ab7 !important;
    background-color: #ecf3f9;
  }
  #wrapper.enlarged .left.side-menu #sidebar-menu > ul > li > a i {
    margin-right: 20px !important;
    font-size: 20px;
  }
  #wrapper.enlarged .left.side-menu .label {
    position: absolute;
    top: 5px;
    left: 35px;
    text-indent: 0;
    display: block !important;
    padding: .2em .6em .3em !important;
  }
  #wrapper.enlarged .left.side-menu #sidebar-menu ul > li {
    position: relative;
    white-space: nowrap;
  }
  #wrapper.enlarged .left.side-menu #sidebar-menu ul > li:hover > a {
    position: relative;
    width: 260px;
    color: #337ab7 !important;
    background-color: #ecf3f9;
    /* border-radius: 25px; */
  }
  #wrapper.enlarged .left.side-menu #sidebar-menu ul > li:hover > ul {
    display: block;
    left: 70px;
    position: absolute;
    width: 190px;
  }
  #wrapper.enlarged .left.side-menu #sidebar-menu ul > li:hover > ul a {
    box-shadow: none;
    padding-left: 15px;
    position: relative;
    width: 186px;
    z-index: 6;
  }
  #wrapper.enlarged .left.side-menu #sidebar-menu ul > li:hover > ul a:hover {
    color: #337ab7;
  }
  #wrapper.enlarged .left.side-menu #sidebar-menu ul > li:hover a span {
    display: inline;
  }
  #wrapper.enlarged .left.side-menu #sidebar-menu a.subdrop {
    color: #337ab7 !important;
  }
  #wrapper.enlarged .left.side-menu #sidebar-menu ul > li > ul {
    display: none;
  }
  #wrapper.enlarged .left.side-menu #sidebar-menu ul ul li:hover > ul {
    display: block;
    left: 190px;
    margin-top: -36px;
    position: absolute;
    width: 190px;
  }
  #wrapper.enlarged .left.side-menu #sidebar-menu ul ul li > a span.pull-right {
    -ms-transform: rotate(270deg);
    -webkit-transform: rotate(270deg);
    position: absolute;
    right: 20px;
    top: 12px;
    transform: rotate(270deg);
  }
  #wrapper.enlarged .left.side-menu #sidebar-menu ul ul li.active a {
    color: #337ab7;
  }
  #wrapper.enlarged .left.side-menu #sidebar-menu ul > li > a span {
    display: none;
    padding-left: 10px;
  }
  #wrapper.enlarged .left.side-menu .user-details {
    display: none;
  }
  #wrapper.enlarged .content-page {
    margin-left: 70px;
  }
  #wrapper.enlarged .footer {
    left: 70px;
  }
  #wrapper.enlarged .topbar .topbar-left {
    width: 70px !important;
  }
  #wrapper.enlarged .topbar .topbar-left .logo span {
    display: none;
    opacity: 0;
  }
  #wrapper.enlarged .topbar .topbar-left .logo i {
    display: block;
    line-height: 70px;
    color: #7fc1fc !important;
  }
  #wrapper.enlarged #sidebar-menu > ul > li:hover > a.open :after {
    display: none;
  }
  #wrapper.enlarged #sidebar-menu > ul > li:hover > a.active :after {
    display: none;
  }
  #wrapper.right-bar-enabled .right-bar {
    right: 0;
  }
  #wrapper.right-bar-enabled .left-layout {
    left: 0;
  }
  /* Right sidebar */
  .side-bar.right-bar {
    float: right !important;
    right: -266px;
    top: 0px;
  }
  .side-bar {
    -moz-transition: all 200ms ease-out;
    -webkit-transition: all 200ms ease-out;
    background-color: #ffffff;
    box-shadow: 0 0px 24px 0 rgba(0, 0, 0, 0.06), 0 1px 0px 0 rgba(0, 0, 0, 0.02);
    display: block;
    float: left;
    height: 100%;
    position: fixed;
    transition: all 200ms ease-out;
    width: 240px;
  }
  .right-bar {
    background: #ffffff !important;
    z-index: 999 !important;
  }
  .right-bar h4 {
    border-bottom: 1px solid rgba(152, 166, 173, 0.5);
    padding: 4px 10px 10px 18px;
    text-transform: uppercase;
    font-size: 14px;
    letter-spacing: 0.03em;
  }
  .right-bar .right-bar-toggle {
    float: right;
    line-height: 46px;
    font-size: 20px;
    color: #333;
    padding: 0 10px;
  }
  .right-bar .setting-list {
    padding: 0 20px 20px 20px;
  }
  .user-list .user-list-item {
    padding: 10px 12px !important;
    border-bottom: 1px solid #EEEEEE !important;
  }
  .user-list .user-list-item .avatar {
    float: left;
    margin-right: 5px;
    width: 30px;
    height: 30px;
  }
  .user-list .user-list-item .avatar img {
    border-radius: 50%;
    width: 100%;
  }
  .user-list .user-list-item .icon {
    float: left;
    margin-right: 5px;
    height: 30px;
    width: 30px;
    border-radius: 50%;
    text-align: center;
  }
  .user-list .user-list-item .icon i {
    color: #ffffff;
    line-height: 30px;
    font-size: 16px;
  }
  .user-list .user-list-item .user-desc {
    margin-left: 40px;
  }
  .user-list .user-list-item .user-desc span.name {
    color: #bfcad3;
    text-overflow: ellipsis;
    white-space: nowrap;
    display: block;
    width: 100%;
    overflow: hidden;
    font-size: 13px;
  }
  .user-list .user-list-item .user-desc span.desc {
    color: #337ab7;
    text-overflow: ellipsis;
    white-space: nowrap;
    display: block;
    width: 100%;
    overflow: hidden;
    font-size: 12px;
  }
  .user-list .user-list-item .user-desc span.time {
    font-size: 11px;
  }
  /* Seach */
  .app-search {
    position: relative;
  }
  .app-search a {
    position: absolute;
    top: 7px;
    right: 26px;
    color: rgba(152, 166, 173, 0.7);
  }
  .app-search a:hover {
    color: #337ab7;
  }
  .app-search .form-control,
  .app-search .form-control:focus {
    border: 1px solid rgba(152, 166, 173, 0.15);
    font-size: 13px;
    height: 34px;
    color: #bfcad3;
    padding: 7px 40px 7px 20px;
    margin: 19px 12px 0 5px;
    background: rgba(152, 166, 173, 0.1);
    box-shadow: none;
    border-radius: 30px;
    width: 190px;
  }
  /* Page titles */
  .page-title {
    font-size: 20px;
    margin-bottom: 0;
    margin-top: 0;
    font-weight: 600;
  }
  .page-header {
    border-bottom: 1px solid #DBDDDE;
  }
  .header-title {
    font-size: 16px;
    line-height: 16px;
    margin-bottom: 8px;
    font-weight: 600;
  }
  .page-title-box {
    background: #f8f8ff;
    padding: 5px 20px;
    margin: 0 -20px 20px -20px;
  }
  .page-title-box .page-title {
    margin-bottom: 0;
    float: left;
  text-transform: uppercase;
  }
  .page-title-box .breadcrumb {
    float: right;
    background-color: transparent !important;
  }
  
  .page-title-box .breadcrumb a{
  padding: 2px 0;
  text-transform: uppercase;
  font-size: 12px;
  font-family: 'Hind Madurai';
  }
  .breadcrumb .active a{
    color: #2d6fa7;
  }
  .page-title-box .breadcrumb a:hover{
    color: #2d6fa7;
  }
  /* Body min-height set */
  body.fixed-left-void {
    min-height: 400px;
  }
  .breadcrumb .alert{
    padding: 2px 10px !important;
  }
  
  form .custom-textarea{
    width: 100%;min-height: 150px;max-height: 400px;resize: vertical;
    border: 1px solid #ddd;
  }
  
  .alert{
    padding: 5px;
    border: unset !important;
    width: fit-content;
  }
  .sticky-alert{
    position: absolute;
    top: -20px;
    left: 0;
    z-index: 99;
  }
  table tbody tr:hover{
   transition-duration: 1s;
  }
  table tbody tr:hover{
    background-color: #f3f3f3;
  }
  .btn-new-app{
    min-height: 200px;display: flex;justify-content: center;align-items: center;
  }
  .btn-new-app a{
    border: 2px solid;
    padding: 10px 20px;
  }
  .hosts-links ul li{
    list-style: none;
  }
  .hosts-links a{
    padding: 5px;
    border-radius: 3px;
    margin-bottom: 5px;
    display: block;
   border: 1px solid #bfcad3;
  }
  .hosts-links a:hover{
  color: #fefefe;
    background: #36404e;
  }
  
  .cms-index-page {
    padding: 20px;margin: 20px 0;background:#36404e;
  }
  
  .cms-index-page .account-pages .account-logo-box{
    background-color: #d2d8dd;
  }
  
  .cms-index-page .account-pages .account-logo-box img{
    width: 230px;
  }
  .cms-index-page .account-pages .account-logo-box .text{
    color:#337ab7;font-size:16px;
  }
  
  .cms-index-page .account-content{
    background: transparent;border: 1px solid;border-radius: 0px 0px 5px 5px;
  }
  .cms-index-page .index-page-intro{
    padding:20px;
  }
  
  .cms-index-page .index-page-intro img{
    width: 200px;
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 20px;
  }
  .cms-index-page .index-page-intro .text{
    font-size: 18px;
    text-align: center;
    color: darkgrey;
  }
  
  .cms-index-page .col-sm-12{
  margin-bottom: 35px;
  }
  
  .hosts-intro{
    margin: 20px 0;
    padding: 10px;
  }
  .hosts-intro .box{
    padding: 10px;
    /* border: 1px solid #bfcad3; */
    min-height: 220px;
    text-align: center;
    margin-bottom: 20px;
    box-shadow: 0px 0px 2px #bfcad3;
  }
  .hosts-intro .box img{
  width: 60px;
  display: block;
  margin-left: auto;
  margin-right: auto;
  }
  .hosts-intro .box a h4{
    color: #337ab7;
  }
  .hosts-intro .box a h4:hover{
    color: #2d6fa7;
  }
  
  table .actions a{
  border: 1px solid #ddd;
  padding: 0 10px;
  }
  table .actions a:hover{
    border: 1px solid #bfcad3;
    }
  
  @media screen and (max-width: 768px) {
    .cms-index-page{
      padding: 0;
    }
    .cms-index-page .index-page-intro{
      padding:0;
    }
    .cms-index-page .index-page-intro img{
    margin-bottom: 20px;
      }
      .footer > div{
        text-align: center !important;
      }
  }
  
  
  .app-title{
    font-size:14px;text-transform: uppercase;color:#337ab7 !important;font-weight: 600;padding: 5px;
  }
  
  /* loader */
  #loader{
    min-height: 200px;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  #loader .lds-dual-ring.hidden { 
    display: none;
    }
    
    #loader .lds-dual-ring:after {
      content: " ";
      display: block;
      width: 34px;
      height: 34px;
      border-radius: 50%;
      border: 3px solid #337ab7;
      border-color: #337ab7 transparent #337ab7 transparent;
      animation: lds-dual-ring 1.2s linear infinite;
    }
    @keyframes lds-dual-ring {
      0% {
        transform: rotate(0deg);
      }
      100% {
        transform: rotate(360deg);
      }
    }
  
    /* pagination */
  
    #pages{
        margin-left: -10px;
    }
    #pages .focus {
        background-color: #eee;
        color: #aaa;
        cursor: pointer;
    }
    
    #pages .pageNumber {
      padding: 0px 12px;
        /* margin: 5px; */
        border: 1px solid;
        display: inline-block;
        text-align: center;
        margin-top: 10px;
        margin-left: 10px;
    }
    #pages .active{
        color:red;
    }
  
    #tblPagination .total{
      float: right;
      margin-top: 10px;
    }
  
    .pagination-links:hover{
      background-color: #fff !important;
    }
    .pagination-links .pages{
      padding: 0px 10px;
      background: lavender;
      display: inline-block;
      text-align: center;
      margin-left: 5px;
      transition-duration: 1s;
    }
    .pagination-links .current{
  background-color: #2d6fa7;
  color: #fff;
  padding: 0px 10px;
  display: inline-block;
  text-align: center;
  margin-left: 5px;
    }
    .pagination-links .pages:hover{
      background-color: #2d6fa7;
      color: #fff;
    }
  
    .myapp{
        position: sticky !important;
        top: 0;
        z-index: 99;
        margin-top: -2px !important;
    }
    .myapp a{
      background: #f8f8ff;
      text-transform: uppercase;
      /* border-bottom: 1px solid #cdcdcd !important; */
      padding: 7px 20px !important;
    }
    .myapp a:hover{
      border-radius: unset !important;
    }
    .myapp a.active{
      background: #f8f8ff !important;
        border-radius: unset !important;
    }
    .myapp.active{
      background: #f8f8ff !important;
        border-radius: unset !important;
    }
    .refresh-btn{
      float:right;cursor: pointer;padding: 0 5px;
    }
  
    .copytooltip {
        position: relative;
        display: inline-block;
      }
      .copytooltip .tooltiptext {
        visibility: hidden;
        width: 70px;
        background-color: lavender;
        color: #000;
        text-align: center;
        border-radius: 6px;
        padding: 5px;
        position: absolute;
        z-index: 1;
        bottom: 150%;
        left: 50%;
        margin-left: -30px;
        opacity: 0;
        transition: opacity 0.3s;
      }
      .copytooltip .tooltiptext::after {
        content: "";
        position: absolute;
        top: 100%;
        left: 50%;
        margin-left: -5px;
        border-width: 5px;
        border-style: solid;
        border-color: lavender transparent transparent transparent;
      }
      .copytooltip:hover .tooltiptext {
        visibility: visible;
        opacity: 1;
        cursor: pointer !important;
      }
      .btn-copy:hover{
        cursor: pointer;
      }
      .btn-copy .mdi{
        font-size: 20px;
        padding: 5px;
      }
      #wrapper > div.topbar > .navbar > div{
        height: 50px;
        align-items: center;
      }
  
  @media (min-width: 768px){
  .navbar-nav>li>a {
    padding: 5px;
    margin: 0 10px;
  }
  }
  
  .nti-textarea{
    min-height: 300px !important;
    font-family: monospace;
    background: #36404e;
    color: #e9f2f8;
    padding: 10px;
    letter-spacing: 0.3px;
    word-spacing: 2px;
    line-height: 22px;
  }
  .sourcelink:visited{
    color: #f99b9b;
  }